SystemOrganization addCategory: #ConfigurationOfSeasideLocalisation!

Object subclass: #ConfigurationOfSeasideLocalisation
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfSeasideLocalisation'!

!ConfigurationOfSeasideLocalisation class methodsFor: 'development support' stamp: 'IlariLiukko 12/21/2011 15:35'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfSeasideLocalisation class methodsFor: 'private' stamp: 'IlariLiukko 12/21/2011 15:35'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfSeasideLocalisation class methodsFor: 'private' stamp: 'IlariLiukko 12/21/2011 15:35'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfSeasideLocalisation class methodsFor: 'private' stamp: 'IlariLiukko 12/21/2011 15:35'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfSeasideLocalisation class methodsFor: 'metacello tool support' stamp: 'IlariLiukko 12/21/2011 15:35'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfSeasideLocalisation class methodsFor: 'loading' stamp: 'IlariLiukko 12/21/2011 15:35'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfSeasideLocalisation class methodsFor: 'loading' stamp: 'IlariLiukko 12/21/2011 15:35'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfSeasideLocalisation class methodsFor: 'loading' stamp: 'IlariLiukko 12/21/2011 15:35'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfSeasideLocalisation class methodsFor: 'accessing' stamp: 'IlariLiukko 12/21/2011 15:35'!
project

	^self new project! !

!ConfigurationOfSeasideLocalisation class methodsFor: 'development support' stamp: 'IlariLiukko 12/21/2011 15:35'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfSeasideLocalisation methodsFor: 'baselines' stamp: 'IlariLiukko 12/28/2011 12:24'!
baseline01: spec
	<version: '0.1-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec repository: 'http://ss3.gemstone.com/ss/seaside-l10n'.
			spec package: 'SeasideLocalisation-Core' with: [ spec requires: #('Seaside' 'Gettext') ].
			spec package: 'SeasideLocalisation-Test' with: [ spec requires: #('SeasideLocalisation-Core' 'WebTester') ].
			spec
				project: 'Seaside'
				with: [ 
					spec
						repository: 'http://www.squeaksource.com/Seaside30';
						className: 'ConfigurationOfSeaside30' ].
			spec
				project: 'Gettext'
				with: [ 
					spec
						repository: 'http://www.squeaksource.com/PharoNonCorePackages';
						className: 'ConfigurationOfGettext' ].
			"spec
				project: 'PetitParser'
				with: [ 
					spec
						repository: 'http://source.lukas-renggli.ch/petit';
						className: 'ConfigurationOfPetitParser' ]."
			spec
				project: 'WebTester'
				with: [ 
					spec
						repository: 'http://www.squeaksource.com/MetacelloRepository';
						className: 'ConfigurationOfWebTester' ].
			spec
				group: 'default' with: #('SeasideLocalisation-Core');
				group: 'tests' with: #('SeasideLocalisation-Test') ]! !

!ConfigurationOfSeasideLocalisation methodsFor: 'symbolic versions' stamp: 'IlariLiukko 12/21/2011 15:35'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '0.1'.
! !

!ConfigurationOfSeasideLocalisation methodsFor: 'accessing' stamp: 'IlariLiukko 12/21/2011 15:35'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfSeasideLocalisation methodsFor: 'versions' stamp: 'KariPatana 1/9/2012 15:18'!
version01: spec
	<version: '0.1' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.1 (): Initial configuration for Seaside localisation tool.
0.1 (): Initial version of configuration
0.1 (): added the string extension for translating.
0.1 (): Translated strings can now also be formatted. 

Also added WARequestFilter which can be used to set SLCurrentLocale based on clients locale.
0.1 (): Some improvements in translating, parameters are also supported now.
0.1 (): 
0.1 (): change to use core revision .5
0.1 (KORPPI-9807): Modified language selector to use links instead of select list.'.
		spec author: 'KariPatana'.
		spec timestamp: '1/9/2012 15:18'.
		spec 
			project: 'Gettext' with: '1.0';
			project: 'WebTester' with: '1.2';
			project: 'Seaside' with: '3.0.6.3'.
		spec 
			package: 'SeasideLocalisation-Core' with: 'SeasideLocalisation-Core-KariPatana.6';
			package: 'SeasideLocalisation-Test' with: 'SeasideLocalisation-Test-KariPatana.4'. ].
! !
